*** Settings ***
Documentation     客户端-查询个人名下所有设备列表接口
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IDeviceService
${method}         GetPersonDeviceListAsync

*** Test Cases ***
Class_001_查询个人名下所有设备列表接口，已绑定设备
    [Setup]    get_login_token    ${URL}    jo22
    [Template]    getPersonDeviceListAsync_assertClass
    ${token}

Class_002_查询个人名下所有设备列表接口，未绑定设备
    [Setup]    get_login_token    ${URL}    xuejiao
    [Template]    getPersonDeviceListAsync_assertClassNull
    ${token}

Exception_001_查询个人名下所有设备列表接口，Token非空校验
    [Template]    getPersonDeviceListAsync_assertException
    ${EMPTY}    1002    Permission validation error

Exception_002_查询个人名下所有设备列表接口，Token正确性校验
    [Template]    getPersonDeviceListAsync_assertException
    99999999    1002    Permission validation error

*** Keywords ***
getPersonDeviceListAsync_Post
    [Arguments]    ${token}
    ${params}    Create Dictionary
    Set To Dictionary    ${params}    Token=${token}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

getPersonDeviceListAsync_assertClass
    [Arguments]    ${token}
    ${content}    getPersonDeviceListAsync_Post    ${token}
    ${result}    Get From Dictionary    ${content.json()}    result
    ${result0}    Get From List    ${result}    0
    ${organizationName}    Get From Dictionary    ${result0}    OrganizationName
    Should Not Be Empty    ${organizationName}
    [Return]    ${content}

getPersonDeviceListAsync_assertException
    [Arguments]    ${token}    ${error_code}    ${error_msg}
    ${content}    getPersonDeviceListAsync_Post    ${token}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}

getPersonDeviceListAsync_assertClassNull
    [Arguments]    ${token}
    ${content}    getPersonDeviceListAsync_Post    ${token}
    ${result}    Get From Dictionary    ${content.json()}    result
    Should Be Empty    ${result}
    [Return]    ${content}
