*** Settings ***
Documentation     客户端-添加部门
...               OrganizationType：0机构、1部门、2科室
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         AddOrganizationsAsync

*** Test Cases ***
Class_001_添加部门 \ 部门名称需随机
    [Setup]    get_login_token    ${URL}    jo22
    [Template]    addOrganizations_assertClassTrue
    ${token}    部门test    Organization_20220402033059L0189V    ${EMPTY}    0

Exception_001_添加部门，OrganizationName非空校验
    [Tags]    inexecution
    [Template]    addOrganizations_assertException
    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    0    ???    ???

*** Keywords ***
addOrganizations_Post
    [Arguments]    ${token}    ${organizationName}    ${parentCode}    ${extendsData}    ${patientType}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${organizationInfos}    Create List
    ${organizationInfo}    Create Dictionary
    Set To Dictionary    ${organizationInfo}    OrganizationName    ${organizationName}
    Set To Dictionary    ${organizationInfo}    ParentCode    ${parentCode}
    Set To Dictionary    ${organizationInfo}    ExtendsData    ${extendsData}
    ${patientType11}    Convert To Integer    ${patientType}
    Set To Dictionary    ${organizationInfo}    PatientType    ${patientType11}
    Append To List    ${organizationInfos}    ${organizationInfo}
    Set To Dictionary    ${param}    OrganizationInfos    ${organizationInfos}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

addOrganizations_assertClassTrue
    [Arguments]    ${token}    ${organizationName}    ${parentCode}    ${extendsData}    ${patientType}
    ${content}    addOrganizations_Post    ${token}    ${organizationName}    ${parentCode}    ${extendsData}    ${patientType}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Be True    ${result}
    [Return]    ${content}

addRanks_assertException
    [Arguments]    ${token}    ${organizationName}    ${parentCode}    ${extendsData}    ${patientType}    ${error_code}    ${error_msg}
    ${content}    addOrganizations_Post    ${token}    ${organizationName}    ${parentCode}    ${extendsData}    ${patientType}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
