*** Settings ***
Documentation     客户端-添加职称
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IRankService
${method}         AddRanks

*** Test Cases ***

*** Keywords ***
addRanks_Post
    [Arguments]    ${token}    ${rankName}    ${organizationCode}    ${extendsData}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${rankInfos}    Create List
    ${rankInfo}    Create Dictionary
    Set To Dictionary    ${rankInfo}    RankName    ${rankName}
    Set To Dictionary    ${rankInfo}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${rankInfo}    ExtendsData    ${extendsData}
    Append To List    ${rankInfos}    ${rankInfo}
    Set To Dictionary    ${param}    RankInfos    ${rankInfos}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

addRanks_assertClassTrue
    [Arguments]    ${token}    ${rankName}    ${organizationCode}    ${extendsData}
    ${content}    addRanks_Post    ${token}    ${rankName}    ${organizationCode}    ${extendsData}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Be True    ${result}
    [Return]    ${content}

addOrganizations_assertException
    [Arguments]    ${token}    ${rankName}    ${organizationCode}    ${extendsData}    ${error_code}    ${error_msg}
    ${content}    addRanks_Post    ${token}    ${rankName}    ${organizationCode}    ${extendsData}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
