*** Settings ***
Documentation     客户端-获取语言配置列表
Suite Setup       get_login_token    ${URL}    jo22
Library           collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         GetLangugeDataListAsync

*** Test Cases ***
Class_001_获取语言配置列表，中文
    [Template]    getLangugeDataListAsync_assertClass
    ${token}    zh-CN    ${EMPTY}    ${EMPTY}

Class_002_获取语言配置列表，英文
    [Template]    getLangugeDataListAsync_assertClass
    ${token}    en-US    ${EMPTY}    ${EMPTY}

Exception_001_获取语言配置列表，Token非空校验
    [Template]    getLangugeDataListAsync_assertException
    ${EMPTY}    en-US    ${EMPTY}    ${EMPTY}    1002    Permission validation error

Exception_002_获取语言配置列表，Token正确性校验
    [Template]    getLangugeDataListAsync_assertException
    11111111    en-US    ${EMPTY}    ${EMPTY}    1002    Permission validation error

*** Keywords ***
getLangugeDataListAsync_Post
    [Arguments]    ${token}    ${langugeKey}    ${version}    ${langugeModule}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    LangugeKey    ${langugeKey}
    ${langugeDataItemList}    Create List
    ${langugeDataItemList11}    Create Dictionary
    Set To Dictionary    ${langugeDataItemList11}    Version    ${version}
    Set To Dictionary    ${langugeDataItemList11}    LangugeModule    ${langugeModule}
    Append To List    ${langugeDataItemList}    ${langugeDataItemList11}
    Set To Dictionary    ${param}    LangugeDataItemList    ${langugeDataItemList}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

getLangugeDataListAsync_assertClass
    [Arguments]    ${token}    ${langugeKey}    ${version}    ${langugeModule}
    ${content}    getLangugeDataListAsync_Post    ${token}    ${langugeKey}    ${version}    ${langugeModule}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Not Be Empty    ${result}
    [Return]    ${content}

getLangugeDataListAsync_assertException
    [Arguments]    ${token}    ${langugeKey}    ${version}    ${langugeModule}    ${error_code}    ${error_msg}
    ${content}    getLangugeDataListAsync_Post    ${token}    ${langugeKey}    ${version}    ${langugeModule}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
