*** Settings ***
Documentation     客户端-根据编号获取机构信息
Suite Setup       get_login_token    ${URL}    jo22
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         GetOrganizationByCodeAsync

*** Test Cases ***
Class_001_根据编号获取机构信息
    [Template]    getOrganizationByCode_assertClass
    ${token}    Organization_20220402033059L0189V

Class_002_根据编号获取机构信息，填写不存在组织编码
    [Template]    getOrganizationByCode_assertClassNull
    ${token}    Test00001

Exception_001_根据编号获取机构信息，OrganizationCode非空校验
    [Template]    getOrganizationByCode_assertException
    ${token}    ${EMPTY}    1001    Code can't be null

Exception_002_根据编号获取机构信息， Token非空校验
    [Template]    getOrganizationByCode_assertException
    ${EMPTY}    Organization_20220402033059L0189V    1002    Permission validation error

Exception_003_根据编号获取机构信息， Token正确性检验
    [Template]    getOrganizationByCode_assertException
    1234567890    Organization_20220402033059L0189V    1002    Permission validation error

*** Keywords ***
getOrganizationByCode_Post
    [Arguments]    ${token}    ${organizationCode}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

getOrganizationByCode_assertClass
    [Arguments]    ${token}    ${organizationCode}
    ${content}    getOrganizationByCode_Post    ${token}    ${organizationCode}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    ${organizationCode_res}    Get From DIctionary    ${result}    OrganizationCode
    Should Be Equal As Strings    ${organizationCode_res}    ${organizationCode}
    [Return]    ${content}

getOrganizationByCode_assertException
    [Arguments]    ${token}    ${organizationCode}    ${error_code}    ${error_msg}
    ${content}    getOrganizationByCode_Post    ${token}    ${organizationCode}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}

getOrganizationByCode_assertClassNull
    [Arguments]    ${token}    ${organizationCode}
    ${content}    getOrganizationByCode_Post    ${token}    ${organizationCode}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Be Equal As Strings    ${result}    ${null}
    [Return]    ${content}
