*** Settings ***
Documentation     客户端-获取机构欧配置信息（病人、检查）
Suite Setup       get_login_token    ${URL}    jo22
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         GetOrganizationSettingAsync

*** Test Cases ***
class_001_获取机构配置信息（病人），版本号小于最新版本
    [Template]    getOrganizationSettingAsync_assertClass
    ${token}    0    0.1

class_002_获取机构配置信息（检查），版本号小于最新版本
    [Template]    getOrganizationSettingAsync_assertClass
    ${token}    1    0.1

Exception_001_获取机构配置信息（病人、检查），版本号大于/等于最新版本
    [Template]    getOrganizationSettingAsync_assertException
    ${token}    1    99    1001    Not real version

Exception_002_获取机构配置信息（病人、检查），版本号格式正确性检查
    [Template]    getOrganizationSettingAsync_assertException
    ${token}    1    99.0    1001    This is the latest version

Exception_003_获取机构配置信息（病人、检查），Token非空校验
    [Template]    getOrganizationSettingAsync_assertException
    ${EMPTY}    1    0.1    1002    Permission validation error

*** Keywords ***
getOrganizationSettingAsync_Post
    [Arguments]    ${token}    ${settingType}    ${version}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${settingType11}    Convert To Integer    ${settingType}
    Set To Dictionary    ${param}    SettingType    ${settingType11}
    Set To Dictionary    ${param}    Version    ${version}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

getOrganizationSettingAsync_assertClass
    [Arguments]    ${token}    ${settingType}    ${version}
    ${content}    getOrganizationSettingAsync_Post    ${token}    ${settingType}    ${version}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    ${settingVersion_res}    Get From DIctionary    ${result}    SettingVersion
    Should Not Be Empty    ${settingVersion_res}
    [Return]    ${content}

getOrganizationSettingAsync_assertException
    [Arguments]    ${token}    ${settingType}    ${version}    ${error_code}    ${error_msg}
    ${content}    getOrganizationSettingAsync_Post    ${token}    ${settingType}    ${version}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
