*** Settings ***
Documentation     客户端-查询上级机构列表
Suite Setup
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         GetParentOrganizationListAsync

*** Test Cases ***
Class_001_查询上级机构列表
    [Setup]    get_login_token    ${URL}    jo22
    [Template]    getParentOrganizationListAsync_assertClass
    ${token}

Class_002_查询上级机构列表，用户未完善个人信息
    [Setup]    get_login_token    ${URL}    jo0416
    [Template]    getParentOrganizationListAsync_assertClassNull
    ${token}

Exception_001_Token非空校验
    [Template]    getParentOrganizationListAsync_assertException
    ${EMPTY}    1002    Permission validation error

Exception_002_Token正确性检验
    [Template]    getParentOrganizationListAsync_assertException
    11111111111    1002    Permission validation error

*** Keywords ***
getParentOrganizationListAsync_Post
    [Arguments]    ${token}
    ${params}    Create Dictionary
    Set To Dictionary    ${params}    Token=${token}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

getParentOrganizationListAsync_assertClass
    [Arguments]    ${token}
    ${content}    getParentOrganizationListAsync_Post    ${token}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    ${length}    Get Length    ${result}
    Run Keyword If    ${length}>0    Should Contain    ${result}[0]    OrganizationCode
    Should Contain    ${result}[0]    OrganizationName
    ...    ELSE    Log    do not contain OrganizationName
    [Return]    ${content}

getParentOrganizationListAsync_assertException
    [Arguments]    ${token}    ${error_code}    ${error_msg}
    ${content}    getParentOrganizationListAsync_Post    ${token}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}

getParentOrganizationListAsync_assertClassNull
    [Arguments]    ${token}
    ${content}    getParentOrganizationListAsync_Post    ${token}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Be Empty    ${result}
    [Return]    ${content}
