*** Settings ***
Documentation     客户端-查询机构详细信息 根据 机构编码
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         GetPersonOrganizationAsync

*** Test Cases ***
Class_001_查询机构详细信息
    [Setup]    get_login_token    ${URL}    jo22
    [Template]    getPersonOrganizationAsync_assertClass
    ${token}

Exception_001_查询机构详细信息，用户未完善个人信息
    [Setup]    get_login_token    ${URL}    jo0416
    [Template]    getPersonOrganizationAsync_assertException
    ${token}    1002    Organization Code Empty error

Exception_002_查询机构详细信息，token非空检验
    [Setup]
    [Template]    getPersonOrganizationAsync_assertException
    ${EMPTY}    1002    Permission validation error

Exception_003_查询机构详细信息，token正确性检验
    [Setup]
    [Template]    getPersonOrganizationAsync_assertException
    1111111    1002    Permission validation error

*** Keywords ***
getPersonOrganizationAsync_Post
    [Arguments]    ${token}
    ${params}    Create Dictionary
    Set To Dictionary    ${params}    Token=${token}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

getPersonOrganizationAsync_assertClass
    [Arguments]    ${token}
    ${content}    getPersonOrganizationAsync_Post    ${token}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    ${organizationCode}    Get From Dictionary    ${result}    OrganizationCode
    ${organizationName}    Get From Dictionary    ${result}    OrganizationName
    Should Not Be Empty    ${organizationCode}
    Should Not Be Empty    ${organizationName}
    [Return]    ${content}

getPersonOrganizationAsync_assertException
    [Arguments]    ${token}    ${error_code}    ${error_msg}
    ${content}    getPersonOrganizationAsync_Post    ${token}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
