*** Settings ***
Documentation     客户端--客户端获取Server配置
Suite Setup       get_login_token    ${URL}    jo22
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         GetServerSettingAsync

*** Test Cases ***
Class_001_客户端获取Server配置
    [Template]    getServerSettingAsync_assertClass
    ${token}

Exception_001_客户端获取Server配置，Token非空校验
    [Template]    getServerSettingAsync_assertException
    ${EMPTY}    1002    Permission validation error

Exception_002_客户端获取Server配置，Token正确性校验
    [Template]    getServerSettingAsync_assertException
    111111111111111111    1002    Permission validation error

*** Keywords ***
getServerSettingAsync_Post
    [Arguments]    ${token}
    ${params}    Create Dictionary
    Set To Dictionary    ${params}    Token=${token}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

getServerSettingAsync_assertClass
    [Arguments]    ${token}
    ${content}    getServerSettingAsync_Post    ${token}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Not Be Empty    ${result}
    [Return]    ${content}

getServerSettingAsync_assertException
    [Arguments]    ${token}    ${error_code}    ${error_msg}
    ${content}    getServerSettingAsync_Post    ${token}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
