*** Settings ***
Documentation     客户端-删除部门
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         RemoveOrganizationsAsync

*** Test Cases ***
Class_001_删除组织，删除单个组织

*** Keywords ***
removeOrganizations_Post
    [Arguments]    ${token}    ${organizationCodes}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationCodes    ${organizationCodes}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

removeOrganizations_assertClassTrue
    [Arguments]    ${token}    ${organizationCode}
    ${organizationCodes}    String.Split String    ${organizationCode}    |
    Log    ${organizationCodes}
    ${content}    removeOrganizations_Post    ${token}    ${organizationCodes}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Be True    ${result}
    [Return]    ${content}

removeOrganizations_assertException
    [Arguments]    ${token}    ${organizationCode}    ${error_code}    ${error_msg}
    ${organizationCodes}    String.Split String    ${organizationCode}    |
    Log    ${organizationCodes}
    ${content}    removeOrganizations_Post    ${token}    ${organizationCodes}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
