*** Settings ***
Documentation     客户端-删除职称
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IRankService
${method}         RemoveRanks

*** Test Cases ***

*** Keywords ***
removeRanks_Post
    [Arguments]    ${token}    ${positionCodes}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    RankCodes    ${positionCodes}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

removeRanks_assertClassTrue
    [Arguments]    ${token}    ${rankCodes}
    ${organizationCodes}    String.Split String    ${rankCodes}    |
    Log    ${organizationCodes}
    ${content}    removeRanks_Post    ${token}    ${rankCodes}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Be True    ${result}
    [Return]    ${content}

removeRanks_assertException
    [Arguments]    ${token}    ${rankCodes}    ${error_code}    ${error_msg}
    ${organizationCodes}    String.Split String    ${rankCodes}    |
    Log    ${organizationCodes}
    ${content}    removeRanks_Post    ${token}    ${rankCodes}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
