*** Settings ***
Suite Setup       get_login_token    ${URL}    jo22
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         SavePersonOrganizationAsync

*** Test Cases ***
Class_001_保存机构信息
    [Setup]
    [Template]    savePersonOrganizationAsync_assertClassTrue
    ${token}    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220402033149q92esc    320500    0

Class_002_保存机构信息，修改RegionCode（地区编码）
    [Setup]
    [Template]    savePersonOrganizationAsync_assertClassTrue
    ${token}    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220402033149q92esc    320100    0

Class_003_保存机构信息，修改ParentCode（上级机构）
    [Setup]
    [Template]    savePersonOrganizationAsync_assertClassTrue
    ${token}    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220316112911z3Fv8H    320500    0

Class_004_保存机构信息，修改LogoUrl（Logo）
    [Tags]    inexecution
    [Setup]
    [Template]    savePersonOrganizationAsync_assertClassTrue
    ${token}    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220402033149q92esc    320500    0

Class_005_保存机构信息，修改OrganizationCode（机构）
    [Setup]
    [Template]    savePersonOrganizationAsync_assertClassTrue
    ${token}    Organization_20220402033149q92esc    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    ${EMPTY}    320500    0

Class_006_保存机构信息，修改OrganizationName（机构名称）
    [Setup]
    [Template]    savePersonOrganizationAsync_assertClassTrue
    ${token}    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院修改    Organization_20220402033149q92esc    320500    0

Class_007_保存机构信息，修改PatientType（服务对象）
    [Setup]
    [Template]    savePersonOrganizationAsync_assertClassTrue
    ${token}    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220402033149q92esc    320500    1

Exception_001保存机构信息，Token非空校验
    [Setup]
    [Template]    savePersonOrganizationAsync_assertException
    ${EMPTY}    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220402033149q92esc    320500    0    1002    Permission validation error

Exception_002_保存机构信息，Token正确性校验
    [Setup]
    [Template]    savePersonOrganizationAsync_assertException
    1234567890123    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220402033149q92esc    320500    0    1002    Permission validation error

Exception_003_保存机构信息，OrganizationCode非空校验
    [Setup]
    [Template]    savePersonOrganizationAsync_assertException
    ${token}    ${EMPTY}    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220402033149q92esc    320500    0    1001    OrganizationCode Empth Error

Exception_004_保存机构信息，OrganizationCode正确性校验
    [Setup]
    [Template]    savePersonOrganizationAsync_assertException
    ${token}    123    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    jo测试医院    Organization_20220402033149q92esc    320500    0    1002    OrganizationName Empth Error

Exception_005_保存机构信息，OrganizationName非空校验
    [Setup]
    [Template]    savePersonOrganizationAsync_assertException
    ${token}    Organization_20220402033059L0189V    http://192.168.6.117:9303/Flyinsono-BJ-1300984704.VCS.AP-BeiJing/caihong.JPG    ${EMPTY}    Organization_20220402033149q92esc    320500    0    1001    Permission validation error

*** Keywords ***
savePersonOrganizationAsync_Post
    [Arguments]    ${token}    ${organizationCode}    ${logoUrl}    ${organizationName}    ${parentCode}    ${regionCode}    ${patientType}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    LogoUrl    ${logoUrl}
    Set To Dictionary    ${param}    OrganizationName    ${organizationName}
    Set To Dictionary    ${param}    ParentCode    ${parentCode}
    Set To Dictionary    ${param}    RegionCode    ${regionCode}
    ${patientType11}    Convert To Integer    ${patientType}
    Set To Dictionary    ${param}    PatientType    ${patientType11}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

savePersonOrganizationAsync_assertClassTrue
    [Arguments]    ${token}    ${organizationCode}    ${logoUrl}    ${organizationName}    ${parentCode}    ${regionCode}    ${patientType}
    ${content}    savePersonOrganizationAsync_Post    ${token}    ${organizationCode}    ${logoUrl}    ${organizationName}    ${parentCode}    ${regionCode}    ${patientType}
    ${result}    Get From Dictionary    ${content.json()}    result
    Should Be True    ${result}
    [Return]    ${content}

savePersonOrganizationAsync_assertException
    [Arguments]    ${token}    ${organizationCode}    ${logoUrl}    ${organizationName}    ${parentCode}    ${regionCode}    ${patientType}    ${error_code}    ${error_msg}
    ${content}    savePersonOrganizationAsync_Post    ${token}    ${organizationCode}    ${logoUrl}    ${organizationName}    ${parentCode}    ${regionCode}    ${patientType}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
