*** Settings ***
Documentation     客户端-更新组织名称
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IOrganizationService
${method}         UpdateOrganizationName

*** Test Cases ***

*** Keywords ***
updateOrganizationName_Post
    [Arguments]    ${token}    ${organizationCode}    ${organizationName}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    OrganizationName    ${organizationName}    ${EMPTY}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

updateOrganizationName_assertClassTrue
    [Arguments]    ${token}    ${organizationCode}    ${organizationName}
    ${content}    updateOrganizationName_Post    ${token}    ${organizationCode}    ${organizationName}
    ${result}    Get From Dictionary    ${content.json()}    result
    Should Be True    ${result}
    [Return]    ${content}

updateOrganizationName_assertException
    [Arguments]    ${token}    ${organizationCode}    ${organizationName}    ${error_code}    ${error_msg}
    ${content}    updateOrganizationName_Post    ${token}    ${organizationCode}    ${organizationName}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
