*** Settings ***
Documentation     客户端-更新职称名
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IRankService
${method}         UpdateRankName

*** Test Cases ***

*** Keywords ***
updateRankName_Post
    [Arguments]    ${token}    ${rankCode}    ${rankName}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    RankCode    ${rankCode}
    Set To Dictionary    ${param}    RankName    ${rankName}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

updateRankName_assertClassTrue
    [Arguments]    ${token}    ${rankCode}    ${rankName}
    ${content}    updateRankName_Post    ${token}    ${rankCode}    ${rankName}
    ${result}    Get From Dictionary    ${content.json()}    result
    Should Be True    ${result}
    [Return]    ${content}

updateRankName_assertException
    [Arguments]    ${token}    ${rankCode}    ${rankName}    ${error_code}    ${error_msg}
    ${content}    updateRankName_Post    ${token}    ${rankCode}    ${rankName}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
